# 3 - Python's Class Instance Methods
"""
    When you invoke a function defined in a Class, it is called a Method; or invoking a method.
    Classes can have their own Instance Methods to help with common usages of its data.
    Instance Methods are "bound" to a specific instance of the class.
    To invoke an Instance Method, you need to create an instance of the class first.
    Instance Methods have visibility of the data defined for the instance of the class thay are called.
        In the example below, the instance of the class is named "my_friend".
    Below, we print the name and age instance variable's by invoking one Instance Method.
"""

class Person:
 
    def __init__(self, name, age):
        self.name = name
        self.age = age

    def person(self):
        return f"Name: {self.name}, Age: {self.age}"

#Create an instance of the Person Class and assign the name of "Alex" and an age of 25.
my_friend = Person('Alex', 25)

#Invoke the person() Method from the "my_friend" instance of the Class "Person".
print(my_friend.person())