# 1 - Python's Class Defintion Example
"""
    To create a Class, we use Pythons "class [ClassName]:" format.
    Because Python's Class naming convention is to start Class names with a lower case letter, we start our custom Classes with and upper case letter like "Person".
"""

"""
    Create a Class named "Person" and give it two instance variables: name and age.
        "class" indicates that this is a "class" definition.
        "Person" is the name of the class.
"""
class Person:
 
    """
        Python's __init__ funtion is automatacally called when an instance of the Person Class is created.
        The "self" indicator is a reference to the invoking object and must be the first parameter.
        Additional parameters are used to assign values to the instance variables when and instance of the class is created.
    """
    def __init__(self, name, age):
        #Create two instance variables: name and age.
        self.name = name
        self.age = age

#Create an instance of the Person Class named "my_friend" and assign the name of "Alex" and an age of 25.
my_friend = Person('Alex', 25)

#Access the name and age variables and print to the user.
print(my_friend.name)
print(my_friend.age)