# 2 - Python's Class Attributes
"""
    Class Attributes are shared by all instances of the class.
    They are aware of what is happenig accross all instances of the class.
    They are not profixed with ".self".
"""

class Person:
    number_of_class_instances = 0

    def __init__(self, name, age):
        self.name = name
        self.age = age
        Person.number_of_class_instances += 1

#Create instances (objects) of the Person Class and assign the name and an age.
my_friend = Person('Alex', 25)
my_other_friend = Person('Scott', 28)
my_othird_friend = Person('Amy', 25)

#Get the current count of Person Class instances using an instance of the class, or the class itself.

#Invoking Method from an instance of the class Person named my_friend as an object; object.method().
print(my_friend.number_of_class_instances)

#Invoking Method from the Class Person; Class.method().
print(Person.number_of_class_instances)